Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.pdf.extensions
Class PDFExtensionAttachment

    java.lang.Object
      org.apache.fop.render.pdf.extensions.PDFExtensionAttachment

All Implemented Interfaces:
  ExtensionAttachment, org.apache.xmlgraphics.util.XMLizable

Direct Known Subclasses:
  PDFEmbeddedFileExtensionAttachment

    public abstract class PDFExtensionAttachment

extends java.lang.Object
implements ExtensionAttachment, org.apache.xmlgraphics.util.XMLizable

This is the pass-through value object for the PDF extension.

Field Summary
`static java.lang.String` | `CATEGORY` The category URI for this extension attachment.

Constructor Summary
`PDFExtensionAttachment()` Default constructor.

Method Summary
`java.lang.String` | `getCategory()` This method returns a category URI that allows a processor (layout manager or renderer) to determine if it supports this object.
`protected abstract java.lang.String` | `getElement()`
`java.lang.String` | `getType()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.xmlgraphics.util.XMLizable
`toSAX`

Field Detail

### CATEGORY

    public static final java.lang.String CATEGORY

  The category URI for this extension attachment.

  See Also:
    Constant Field Values

Constructor Detail

### PDFExtensionAttachment

    public PDFExtensionAttachment()

  Default constructor.

Method Detail

### getCategory

    public java.lang.String getCategory()

  Description copied from interface: `ExtensionAttachment`
  This method returns a category URI that allows a processor (layout manager or renderer) to determine if it supports this object.

  Specified by:
    `getCategory` in interface `ExtensionAttachment`
  Returns:
    the category URI
  See Also:
    `ExtensionAttachment.getCategory()`

### getType

    public java.lang.String getType()

  Returns:
    type name

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of this object
  See Also:
    `Object.toString()`

### getElement

    protected abstract java.lang.String getElement()

  Returns:
    element

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.